#
# Copyright (C) 2008 by Juergen Beisert
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_PHYCORE_I_MX27) += phycore-imx27

#
# Paths and names
#
PHYCORE_I_MX27_VERSION	:= 1.0.0
PHYCORE_I_MX27		:= phyCORE-i.MX27-$(PHYCORE_I_MX27_VERSION)
PHYCORE_I_MX27_SUFFIX	:=
PHYCORE_I_MX27_URL	:=
PHYCORE_I_MX27_SOURCE	:=
PHYCORE_I_MX27_DIR	:= $(BUILDDIR)/$(PHYCORE_I_MX27)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

phycore-imx27_get: $(STATEDIR)/phycore-imx27.get

$(STATEDIR)/phycore-imx27.get: $(phycore-imx27_get_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

phycore-imx27_extract: $(STATEDIR)/phycore-imx27.extract

$(STATEDIR)/phycore-imx27.extract: $(phycore-imx27_extract_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

phycore-imx27_prepare: $(STATEDIR)/phycore-imx27.prepare

$(STATEDIR)/phycore-imx27.prepare: $(phycore-imx27_prepare_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

phycore-imx27_compile: $(STATEDIR)/phycore-imx27.compile

$(STATEDIR)/phycore-imx27.compile: $(phycore-imx27_compile_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

phycore-imx27_install: $(STATEDIR)/phycore-imx27.install

$(STATEDIR)/phycore-imx27.install: $(phycore-imx27_install_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

phycore-imx27_targetinstall: $(STATEDIR)/phycore-imx27.targetinstall

$(STATEDIR)/phycore-imx27.targetinstall: $(phycore-imx27_targetinstall_deps_default)
	@$(call targetinfo, $@)

	@$(call install_init, phycore-imx27)
	@$(call install_fixup, phycore-imx27,PACKAGE,phycore-imx27)
	@$(call install_fixup, phycore-imx27,PRIORITY,optional)
	@$(call install_fixup, phycore-imx27,VERSION,$(PHYCORE_I_MX27_VERSION))
	@$(call install_fixup, phycore-imx27,SECTION,base)
	@$(call install_fixup, phycore-imx27,AUTHOR,"Juergen Beisert <j.beisert\@pengutronix.de>")
	@$(call install_fixup, phycore-imx27,DEPENDS,)
	@$(call install_fixup, phycore-imx27,DESCRIPTION,missing)

	@$(call install_copy, phycore-imx27, 0, 0, 0644, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/ts.conf, /etc/ts.conf, n)

	@$(call install_copy, phycore-imx27, 0, 0, 0644, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/asound.state, \
		/etc/asound.state, n)

	@$(call install_copy, phycore-imx27, 0, 0, 0755, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/init.d/sound, \
		/etc/init.d/sound, n)

	@$(call install_copy, phycore-imx27, 0, 0, 0644, \
		$(PTXDIST_WORKSPACE)/projectroot/greet.wav, /greet.wav, n)

	@$(call install_link, phycore-imx27, ../init.d/sound, \
                /etc/rc.d/S09_sound)

	@$(call install_copy, phycore-imx27, 0, 0, 0644, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/pure-ftpd.defaults, \
		/etc/pure-ftpd.defaults, n)
	@$(call install_copy, phycore-imx27, 0, 0, 0755, \
                $(PTXDIST_WORKSPACE)/projectroot/bin/pure-ftpd.upload.sh, \
                /usr/bin/pure-ftpd.upload.sh, n)

	@$(call install_finish, phycore-imx27)

	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

phycore-imx27_clean:
	rm -rf $(STATEDIR)/phycore-imx27.*
	rm -rf $(IMAGEDIR)/phycore-imx27_*
	rm -rf $(PHYCORE_I_MX27_DIR)

# vim: syntax=make
